<?php

declare(strict_types = 1);

namespace Drupal\language_selection_page\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Url;
use Symfony\Component\HttpFoundation\RedirectResponse;

/**
 * Controller for legacy route (Drupal 7 path to Drupal 8 path).
 */
final class LegacyDrupal7Redirect extends ControllerBase {

  /**
   * Main callback.
   *
   * Callback for the
   * language_selection_page.negotiation_language_selection_page_legacy_redirect
   * route.
   */
  public function doRedirect() {
    return new RedirectResponse(Url::fromRoute('language_selection_page.negotiation_selection_page')->setAbsolute()->toString());
  }

}
